<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019d1fb3-1a5f-7083-91a6-b74c759027ec,g:201cb33c-28ed-496c-9973-e60e6c0eefa8-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member"/>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#PvpAdjustmentsOnly"/>
  <link:definitionLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllAdjToCompMember" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_SCTPensionMember_019d1fb3-1a5f-7b7f-a238-d7d58a6d9643" xlink:href="clf-20260402.xsd#clf_SCTPensionMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_SCTPensionMember_019d1fb3-1a5f-7b7f-a238-d7d58a6d9643" xlink:type="arc" order="4"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_PensionCurrentYearServiceCostMember_019d1fb3-1a5f-7010-ab9a-dd7cc769503d" xlink:href="clf-20260402.xsd#clf_PensionCurrentYearServiceCostMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_PensionCurrentYearServiceCostMember_019d1fb3-1a5f-7010-ab9a-dd7cc769503d" xlink:type="arc" order="5"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_PensionPriorYearServiceCostImpactingCurrentYearMember_019d1fb3-1a5f-7523-b4c0-537a1c82381e" xlink:href="clf-20260402.xsd#clf_PensionPriorYearServiceCostImpactingCurrentYearMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_PensionPriorYearServiceCostImpactingCurrentYearMember_019d1fb3-1a5f-7523-b4c0-537a1c82381e" xlink:type="arc" order="6"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_GrantDateValuesInTheSCTMember_019d1fb3-1a5f-77dd-85b7-49ea2697fda5" xlink:href="clf-20260402.xsd#clf_GrantDateValuesInTheSCTMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_GrantDateValuesInTheSCTMember_019d1fb3-1a5f-77dd-85b7-49ea2697fda5" xlink:type="arc" order="7"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember_019d1fb3-1a5f-773a-bbc7-8c0898741c60" xlink:href="clf-20260402.xsd#clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember_019d1fb3-1a5f-773a-bbc7-8c0898741c60" xlink:type="arc" order="8"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember_019d1fb3-1a5f-708d-b697-945ae4a5a200" xlink:href="clf-20260402.xsd#clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember_019d1fb3-1a5f-708d-b697-945ae4a5a200" xlink:type="arc" order="9"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember_019d1fb3-1a5f-7663-a836-49e6cbe2f412" xlink:href="clf-20260402.xsd#clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember_019d1fb3-1a5f-7663-a836-49e6cbe2f412" xlink:type="arc" order="10"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember_019d1fb3-1a5f-7d02-9a1e-b0488fc01fcd" xlink:href="clf-20260402.xsd#clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember_019d1fb3-1a5f-7d02-9a1e-b0488fc01fcd" xlink:type="arc" order="11"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember_019d1fb3-1a5f-7f66-8137-e988b882498c" xlink:href="clf-20260402.xsd#clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember_019d1fb3-1a5f-7f66-8137-e988b882498c" xlink:type="arc" order="12"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember_019d1fb3-1a5f-793a-a1ad-ac71c79d5ad5" xlink:href="clf-20260402.xsd#clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember_019d1fb3-1a5f-793a-a1ad-ac71c79d5ad5" xlink:type="arc" order="13"/>
  </link:definitionLink>
</link:linkbase>
